red team
List red team risk packs
Requires scopes: red_team:read
GET
/
api
/
red-team
/
risk-packs
List red team risk packs
curl --request GET \
--url https://evalgate.com/api/red-team/risk-packs \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/red-team/risk-packs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/red-team/risk-packs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"riskPacks": [
{
"cases": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"riskPackVersionId": "<string>",
"caseKey": "<string>",
"category": "prompt_injection",
"technique": "<string>",
"input": "<string>",
"expectedSafeBehavior": "<string>",
"successIndicators": [
"<string>"
],
"severity": "low",
"source": "<string>",
"reviewStatus": "<string>",
"contentHash": "<string>",
"generatedModelCallId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"reviewRationale": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactId": 123,
"artifactVersionId": 123,
"packKey": "<string>",
"version": 123,
"taxonomy": "<string>",
"taxonomyVersion": "<string>",
"status": "<string>",
"contentHash": "<string>",
"packSnapshot": {},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"reviewRationale": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}⌘I
List red team risk packs
